Skip to main content
PATCH
/
partner
/
clover
/
customers
/
business
/
{customer_id}
Update Business Customer
curl --request PATCH \
  --url https://api.example.com/partner/clover/customers/business/{customer_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-NONCE: <x-api-nonce>' \
  --header 'X-API-SIGNATURE: <x-api-signature>' \
  --header 'X-API-SUBSCRIPTION-KEY: <x-api-subscription-key>' \
  --header 'X-API-TIMESTAMP: <x-api-timestamp>' \
  --data '
{
  "business": {
    "business_name": "<string>",
    "dba": "<string>",
    "naics_code": 123,
    "business_description": "<string>",
    "formation_state": "<string>",
    "formation_date": "<string>",
    "ein": "<string>",
    "business_address": {
      "street_1": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip_code": "<string>",
      "country": "<string>",
      "street_2": "<string>"
    },
    "mailing_address": {
      "street_1": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip_code": "<string>",
      "country": "<string>",
      "street_2": "<string>"
    },
    "phone": 123,
    "email": "<string>",
    "website": "<string>",
    "backup_withholding": true,
    "is_public": true,
    "government_affiliated": true,
    "affiliated_entities": "<string>",
    "operations_abroad": true,
    "international_customers_served": true
  }
}
'
{}

Headers

source
string | null
X-API-SIGNATURE
string
required

Signature header

X-API-TIMESTAMP
integer
required

Timestamp header

X-API-NONCE
string
required

Nonce header

X-API-SUBSCRIPTION-KEY
string
required

Account ID header

Path Parameters

customer_id
string<uuid>
required

Body

application/json

Schema to deserialize the business patch request.

business
PatchBusinessData · object
required

Represent the optional fields for a business update.

Response

Successful Response

The response is of type Response Update Business Customer Partner Clover Customers Business Customer Id Patch · object.